Skip to main content
GET
Get Hours By Date

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

datetime
integer<int64>
required

In UNIX Time

Response

200 - application/json

Hours for the specified date

id
integer

Unique identifier of the time entry

start
string<date-time>

Start timestamp of the time entry

stop
string<date-time>

Stop timestamp of the time entry

duration
string

Duration of the time entry in hours

cost
number

Calculated cost for this time entry

user_id
integer

ID of the user who logged the hours

task_log_id
integer

ID of the task this time entry is logged against

project_id
integer | null

Project ID (null when the task has no associated project)

client_id
integer | null

Client ID (null when the task has no associated client)

created_at
string<date-time>

Timestamp when the time entry was created

status
enum<string>

Current approval status of the time entry

Available options:
pending,
approved,
rejected,
paid
status_changed_by
integer | null

ID of the user who last changed the status (null if status has not been changed)

status_changed_at
string<date-time> | null

Timestamp when the status was last changed (null if status has not been changed)

type
string

Type of time entry (e.g. TASK)

task_log_rework_id
integer | null

Rework ID if this time entry is associated with a rework, otherwise null

comments
string | null

Optional comments on the time entry

user
object

Summary of the user who logged the time entry

client
object | null

Client information (null when the task has no associated client)

project
object | null

Project information (null when the task has no associated project)

task
object

Task this time entry is logged against

userPosition
object | null

User's position information (null if not set)

billInput
object | null

Billing information, present when the time entry has been invoiced (status paid)

rework_hour
object | null

Rework details, present when task_log_rework_id is set